alpine(1)

NOM
alpine — « Alternatively Licensed Program for Internet News and Email » (un programme sous licence alternative pour les courriels et les news sur l’Internet

SYNTAXE

alpine [ options ] [ adresse , adresse ]

alpinef [ options ] [ adresse , adresse ]

DESCRIPTION

alpine est un outil de traitement de courriels orienté écran. Avec sa configuration par défaut, alpine propose un jeu de fonctions volontairement limité à destination des utilisateurs débutants, mais il possède aussi une longue liste de fonctionnalités optionnelles pour les « utilisateurs confirmés » permettant de définir des préférences personnelles. alpinef est une variante d’alpine qui utilise des touches de fonction à la place des commandes à lettre unique mnémoniques. Les fonctionnalités de base d’alpine comprennent :

    Afficher, sauvegarder, exporter, supprimer, imprimer, transférer et répondre à des courriels.

    Rédiger des courriels dans un éditeur de texte simple (pico(1)) avec passage à la ligne automatique et vérificateur orthographique. Les courriels peuvent être mis en attente pour être complétés plus tard.

    Sélectionner et gérer les dossiers de courriels en mode plein écran.

    Un carnet d’adresses permettant d’entretenir une liste d’adresses fréquemment utilisées ou pas. Des listes de diffusion personnelles peuvent être définies. Les adresses peuvent être enregistrées dans le carnet d’adresses directement à partir des courriels entrants sans avoir besoin de les retaper.

    La vérification et la notification d’arrivée de nouveaux courriels interviennent automatiquement toutes les 2,5 minutes et à la suite de certaines commandes comme le rafraîchissement de l’écran (Ctrl-L).

    Écrans d’aide en ligne et sensibles au contexte.

alpine prend en charge MIME (Multipurpose Internet Mail Extensions), une norme de l’Internet pour représenter les données multimédia et en plusieurs parties dans les courriels. alpine permet d’enregistrer les objets MIME dans des fichiers et, dans certains cas, peut aussi exécuter le programme approprié pour visualiser l’objet. Pour déterminer le programme qui peut traiter un type d’objet MIME particulier, il utilise le fichier de configuration mailcap du système. L’éditeur de courriels d’alpine n’a pas vraiment de capacité multimédia, mais tout type de fichier de données (y compris multimédia) peut être joint au courriel au format texte et envoyé en utilisant les règles d’encodage de MIME. Cela permet à tout groupe ou individu possédant un logiciel de messagerie compatible MIME (comme Alpine, PC-Alpine ou de nombreux autres programmes) d’échanger des documents formatés, des tableurs, des fichiers images, etc., à l’aide de courriels sur l’Internet.

alpine utilise l’API de messagerie c-client pour accéder aux dossiers de courriels locaux et distants. Cette bibliothèque fournit de nombreuses fonctions bas niveau de traitement des courriels, y compris des pilotes pour de nombreux formats de fichier de courriel différents, ainsi que des routines pour accéder à des serveurs de courriels et de news distants en utilisant les protocoles IMAP (Internet Message Access Protocol) et NNTP (Network News Transport Protocol). Les courriels sortants sont en général envoyés directement à l’aide du protocole SMTP (Simple Mail Transfer Protocol).

OPTIONS

Les options et arguments de la ligne de commande sont :

adresse
    Envoyer le courriel à l’adresse indiquée. alpine ouvre alors directement l’éditeur de courriel.

-attach fichier
    Envoyer le courriel avec le fichier indiqué en pièce jointe.

-attachlist liste_fichiers
    Envoyer le courriel avec en pièces jointes les fichiers issus de la liste liste_fichiers indiquée.

-attach_and_delete fichier
    Envoyer le courriel avec le fichier indiqué en pièce jointe et supprimer le fichier une fois le courriel envoyé.

-aux dossier_local
    PC-Alpine seulement. Lorsqu’on utilise une configuration distante (-p <config_distante>), cette option permet d’indiquer à alpine le dossier local à utiliser pour stocker les fichiers auxiliaires : fichiers de débogage, carnets d’adresses et fichiers de signatures.

-bail
    Le programme se termine si le fichier pinerc n’existe pas. Cette option peut s’avérer utile si l’on tente d’accéder au fichier de configuration en utilisant un protocole de système de fichiers distant. Si le montage distant n’existe pas, alpine quittera au lieu de créer un nouveau fichier pinerc.

-c numéro_context
    numéro_context est le numéro correspondant à la collection de dossiers à laquelle l’argument de ligne de commande -f doit s’appliquer. Par défaut, l’argument -f s’applique à la première collection de dossiers définie.

-conf
    Afficher une copie du fichier de configuration global pine.conf sur la sortie standard. Ce fichier est distinct du fichier .pinerc de l’utilisateur.

-convert_sigs -p pinerc
    Convertir les fichiers de signatures en signatures littérales.

-copy_abook <carnet_adresses_local> <carnet_adresses_distant>
    Copier le fichier du carnet d’adresses local vers un dossier de carnet d’adresses distant.

-copy_pinerc <pinerc_local> <pinerc_distant>
    Copier le fichier pinerc local vers un dossier distant.

-d niveau_débogage
    Enregistrer les informations de diagnostic avec le niveau_débogage indiqué (0-9) dans le fichier .pine-debug[1-4] actuel. La valeur 0 désactive le débogage et supprime le fichier .pine-debug.

-d clé[=valeur]
    Production de messages de diagnostic personnalisés : « flush » provoque une écriture du fichier de débogage sans mise en tampon, « timestamp » ajoute un horodatage à chaque message, « imap=n » permet de régler le niveau de détails du rapport de télémétrie IMAP avec n de 0 (aucun rapport) à 4 (niveau de détails maximal), « numfiles=n » permet de définir le nombre de fichiers de débogage à conserver avec n de 0 à 31 et « verbose=n », avec n de 0 à 9, permet d’indiquer un seuil inversé pour les messages en sortie.

-f dossier
    Ouvrir le dossier spécifié au lieu de INBOX (dans la première collection de dossiers définie) ; utiliser -c n pour spécifier une autre collection.

-F fichier
    Ouvrir le fichier texte spécifié et l’afficher avec le navigateur d’alpine.

-h  Help : afficher une liste des options de ligne de commande valables.

-i  Démarrer dans l’index des dossiers.

-I frappes_de_touche
    Liste initiale de frappes de touches, séparées par des virgules, qu’alpine doit effectuer au démarrage.

-install
    Pour PC-Alpine seulement : avec cette option, PC-Alpine demande quelques informations de configuration basiques, puis quitte.

-k  Utiliser les touches de fonction pour les commandes. Cette option équivaut à exécuter la commande alpinef.

-n numéro
    Démarrer avec le message actuel spécifié par numéro.

-nowrite_password_cache
    Lire depuis un cache de mots de passe s’il en existe un, mais ne jamais proposer d’écrire un mot de passe dans le cache.

-o  Ouvrir le premier dossier en mode lecture seule.

-p fichier_configuration
    Utiliser le fichier_configuration spécifié comme fichier de configuration personnel à la place du fichier par défaut .pinerc.

-P fichier_configuration
    Utiliser le fichier_configuration spécifié comme fichier de configuration à la place du fichier de configuration global par défaut pine.conf.

-passfile <chemin_pleinement_qualifié>
    Quand la compilation inclut la prise en charge du fichier de mots de passe, utiliser le fichier spécifié par <chemin_pleinement_qualifié> à la place du fichier par défaut.

-pinerc fichier
    Enregistrer dans fichier la nouvelle configuration de pinerc tenant compte des définitions de variables effectuées par l’utilisateur. Définir fichier à « - » pour envoyer la configuration sur la sortie standard.

-pwdcertdir <chemin_pleinement_qualifié>
    Quand la compilation inclut la prise en charge du fichier de mots de passe et de SMIME, cette variable permet de spécifier le répertoire dans lequel seront stockés vos certificat et clé personnels permettant de chiffrer et déchiffrer votre fichier de mots de passe.

-r  Utiliser le mode restreint/démo. Dans ce mode, alpine n’envoie des courriels qu’à lui-même et les fonctions comme la sauvegarde et l’exportation sont restreintes.

-registry commande
    Avec PC-Alpine seulement, cette option affecte les valeurs des entrées du registre d’alpine. Les valeurs possibles de commande sont « set », « clear » et « dump ». « set » réinitialise toujours les entrées du registre d’alpine en fonction de sa configuration actuelle. « clear » vide les entrées du registre. « dump » affiche les valeurs actuelles des entrées du registre. Notez que la commande « dump » est désactivée pour le moment. Sans l’option -registry, PC-Alpine n’enregistrera des valeurs dans le registre que s’il n’y en a aucune de définie actuellement.

-smimedir <chemin_pleinement_qualifié>
    Quand la compilation inclut la prise en charge de SMIME, cette option permet de spécifier le répertoire dans lequel seront stockés les clés publique et privée et les certificats d’autorité de certification. Si cette option n’est pas incluse dans la ligne de commande, le répertoire par défaut est ~/.alpine-smime.

-sort ordre
    Trier l’affichage de l’index des dossiers selon un des ordres suivants : « arrival », « date », « subject », « orderedsubj », « thread », « from », « size », « score », « to », « cc » ou « reverse ». « arrival » est l’ordre par défaut. L’ordre « orderedsubj » simule un tri par thread. Tout ordre de tri peut être inversé en lui ajoutant « /reverse ». L’ordre « reverse » est identique à « arrival/reverse ».

-supported
    Certaines options peuvent être ou ne pas être prises en charge selon la manière dont alpine a été compilé. Cette option permet d’indiquer quelles options sont prises en charge par la version d’alpine que vous utilisez.

-uninstall
    Avec PC-Alpine seulement, cette option fait disparaître toute référence à Alpine dans les paramètres système de Windows.

-url url
    Ouvrir l’url spécifié. Cette option ne peut pas être utilisée en même temps que les options -f ou -F.

-v  Version : afficher les informations de version.

-version
    Version : afficher les informations de version.

-x config
    Utiliser les exceptions de configuration de config. Les exceptions permettent d’outrepasser les réglages par défaut de pinerc pour une plateforme particulière ; il peut s’agir d’un fichier local ou d’un dossier distant.

-xoauth2-server nom_serveur
    le nom du service auprès duquel l'authentification XOAUTH2 sera tentée. Au moment où ces lignes sont écrites, le seul service pris en charge est Gmail. Notez que les trois options -xoauth2-server, -xoauth2-client-id et -xoauth2-client-secret doivent être utilisées simultanément. Exemple : « -xoauth2-server Gmail ».

-xoauth2-client-id id_client
    id_client est une chaîne qui identifie alpine avec le fournisseur de service qui fournit l’authentification XOAUTH2. Notez que les trois options -xoauth2-server, -xoauth2-client-id et -xoauth2-client-secret doivent être utilisées simultanément.

-xoauth2-client-secret phrase_secrète
    phrase_secrète est une chaîne qui identifie alpine avec le fournisseur de service qui fournit l’authentification XOAUTH2. Notez que les trois options -xoauth2-server, -xoauth2-client-id et -xoauth2-client-secret doivent être utilisées simultanément.

-z  Activer ^Z et SIGTSTP de façon qu’alpine puisse être suspendu.

-option=valeur
    Assigner la valeur spécifiée à l’-option indiquée ; par exemple « -signature-file=sig1 » ou « -feature-list=signature-at-bottom » (notez que les valeurs de feature-list sont additives).

CONFIGURATION

La configuration d’alpine possède plusieurs niveaux. Les valeurs de configuration d’un niveau donné outrepassent les valeurs correspondantes des niveaux inférieurs. Par ordre de priorité croissante :

 – valeurs par défaut internes ;
 – fichier de configuration globale pine.conf ;
 – fichier de configuration personnel .pinerc (peut être défini à l’aide du menu interne Setup/Config) ;
 – options de la ligne de commande ;
 – fichier de configuration globale non éditable pine.conf.fixed.

Il y a une exception à la règle stipulant que les valeurs de configuration sont remplacées par les valeurs correspondantes d’un fichier de priorité supérieure : les valeurs de l’option feature-list sont additives, mais peuvent être interdites en préfixant le nom de la fonctionnalité avec « no- ». alpine pour Unix utilise aussi les variables d’environnement suivantes :

  TERM
  DISPLAY (détermine si alpine peut afficher les pièces jointes de type IMAGE).
  SHELL (si elle n’est pas définie, la valeur par défaut est /bin/sh).
  MAILCAPS (liste de chemins vers les fichiers mailcap, séparés par des points-virgules).

FICHIERS

/var/spool/mail/xxxx    Répertoire par défaut du courrier entrant.
~/mail    Répertoire par défaut des dossiers de courrier.
~/.addressbook    Fichier par défaut du carnet d’adresse.
~/.signature    Fichier utilisé comme signature et ajouté à chaque message.
~/.pine-debug[1-4]    Journal de diagnostics pour le débogage.
~/.pinerc    Fichier de configuration personnel d’alpine.
~/.pine-crash    Informations de débogage permettant d’analyser un plantage.
~/.newsrc    Fichier contenant un état et les souscriptions aux news.
~/.mailcap    Fichier personnel des capacités de traitement des courriels.
~/.mime.types    Fichier de correspondance personnel entre l’extension de
nom de fichier et le type MIME.
/etc/mailcap    Fichier global des capacités de traitement des courriels.
/etc/mime.types    Fichier de correspondance global entre l’extension de nom
de fichier et le type MIME.
/etc/pine.info    Pointeur local vers l’administrateur système.
/etc/pine.conf    Fichier de configuration global.
/etc/pine.conf.fixed    Fichier de configuration non éditable.
~/.alpine-smime/ca    Répertoire contenant les fichiers des autorités de
certification.
~/.alpine-smime/private    Répertoire contenant la(les) clé(s) privée(s).
~/.alpine-smime/public    Répertoire contenant la(les) clé(s) publique(s).
/tmp/.\usr\spool\mail\xxxx    Fichiers de verrou de boîte aux lettres
par dossier.
~/.pine-interrupted-mail    Message ayant été interrompu.
~/mail/postponed-msgs    Messages mis en attente (brouillons).
~/mail/sent-mail    Archive des messages envoyés (FCC).
~/mail/saved-messages    Destination par défaut des messages sauvegardés.

VOIR AUSSI

pico(1), binmail(1), aliases(5), mailaddr(7), sendmail(8), spell(1), imapd(8)

Groupe de news : comp.mail.pine

Liste de diffusion :
Alpine-info à https://www.washington.edu/alpine/alpine-info/

Site principal de distribution d’alpine :
http://repo.or.cz/alpine.git

Les notes techniques d’alpine incluses dans la distribution source.

La bibliothèque API de messagerie cliente en langage C incluse dans la distribution source.

REMERCIEMENTS

Ce logiciel est le fruit de la contribution de nombreuses personnes
qui ont consacré leur temps à contribuer, à perfectionner et à suggérer
des moyens d’améliorer Alpine au cours des ans. Ce logiciel n’aurait pas
vu le jour sans l’aide de l’Université de Washington à Seattle,
Washington. La communauté Alpine adresse ses plus sincères remerciements
à tous les contributeurs et invite tout le monde à les rejoindre pour
contribuer à ce projet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.